#!/bin/sh
#Запуск образа дебиан с дополнительным "винчестером"
#Дополнительный винчестер - это SD карта с образом Gentoo, в моем случае это /dev/sdd (узнал с помощью программы gparted)
qemu-system-arm -M versatilepb -kernel vmlinuz-2.6.26-2-versatile -initrd initrd.img-2.6.26-2-versatile -hda ./debian_lenny_armel_standard.qcow2 -hdb /dev/sdd -append "root=/dev/sda1"


# SD карта должна быть подключена, но не примонтирована  (у меня SD это /dev/sdd)
#После запуска Дебина, залогинится root/root
#Далее примонтировать образ "внешнего винчестера" (SD)  #mount /dev/sdb2 /mnt
#(т.к. при запуске qemu внешний винчестер подключили как -hdb, что == sdb, на нашей SD 3 раздела, значит в Дебиане появились /dev/  sdb, sdb1, sdb2, sdb3 )
#Переходим в файловую систему Gentoo  #chroot /mnt
#меняем пароль  #passwd
#  новый пароль root
# выходим из chroot  #exit
#Отмонтируем "внешний винчесте" #umount /mnt
#Можно завершить работу qemu #shutdown now

#Проверим, что пароль изменился на SD
#mount /dev/sdd2 /mnt
#ls -l | grep shadow
#-r-------- 1 root root   340 Сен  1 02:59 gshadow
#-rw-r----- 1 root root   371 Сен  5 17:18 shadow
#Я эксперимент делал 5 сентября, а файловую систему копировал 1 сентября, то дата модификации файла соответсвует ожидаемому, т.е. файл изменился

#Чтобы в Gentoo можно было залогинится root, я изменил файл /etc/security/access.conf и добавил в конец '+ : ALL : ALL' (самое простое)

